Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.cli
Enum CliClient.Function

    java.lang.Object
      java.lang.Enum<CliClient.Function>
          org.apache.cassandra.cli.CliClient.Function

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CliClient.Function>

Enclosing class:
  CliClient

    public static enum CliClient.Function

extends java.lang.Enum<CliClient.Function>

Available value conversion functions Used by convertValueByFunction(Tree functionCall) method

Enum Constant Summary
`ASCII`
`BYTES`
`COUNTERCOLUMN`
`INT`
`INTEGER`
`LEXICALUUID`
`LONG`
`TIMEUUID`
`UTF8`

Method Summary
`static java.lang.String` | `getFunctionNames()`
`AbstractType<?>` | `getValidator()`
`static CliClient.Function` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CliClient.Function[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BYTES

    public static final CliClient.Function BYTES

### INTEGER

    public static final CliClient.Function INTEGER

### LONG

    public static final CliClient.Function LONG

### INT

    public static final CliClient.Function INT

### LEXICALUUID

    public static final CliClient.Function LEXICALUUID

### TIMEUUID

    public static final CliClient.Function TIMEUUID

### UTF8

    public static final CliClient.Function UTF8

### ASCII

    public static final CliClient.Function ASCII

### COUNTERCOLUMN

    public static final CliClient.Function COUNTERCOLUMN

Method Detail

### values

    public static CliClient.Function[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CliClient.Function c : CliClient.Function.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CliClient.Function valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValidator

    public AbstractType<?> getValidator()

### getFunctionNames

    public static java.lang.String getFunctionNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation